<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Add Vehicle Category</strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" autocomplete="off" #f="ngForm" class="form-horizontal"
          (ngSubmit)="addVehicleCategory()">
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle Category <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Vehicle Category Name" formControlName="name" maxlength="30"
                class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['name'].invalid && (saveForm.controls['name'].dirty || saveForm.controls['name'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['name'].errors.required">
                  Vehicle category name is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Short description<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="short Description" formControlName="short_description" maxlength="500"
                class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['short_description'].invalid && (saveForm.controls['short_description'].dirty || saveForm.controls['short_description'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['short_description'].errors.required">
                  Short description is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Detailed description <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Detailed Description" formControlName="detailed_description"
                maxlength="500" class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['detailed_description'].invalid && (saveForm.controls['detailed_description'].dirty || saveForm.controls['detailed_description'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['detailed_description'].errors.required">
                  Detailed description is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle category image</label>
            <div class="col-md-10">
              <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'"
                [maxFileSize]="1048576" (removed)="onRemoved($event)" (uploadFinished)="imageFinishedUploading($event)"
                onclick="messageIfNoImage($event)">
              </image-upload>
              <span *ngIf="spandata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">App icon image</label>
            <div class="col-md-10">
              <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'"
                [maxFileSize]="1048576" (removed)="onRemovedIcon($event)"
                (uploadFinished)="imageFinishedIconUploading($event)" onclick="messageIfNoImage($event)">
              </image-upload>
              <span *ngIf="spanicondata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"> Seat Count <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Seat Count" formControlName="seat_count" maxlength="2"
                class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['seat_count'].invalid && (saveForm.controls['seat_count'].dirty || saveForm.controls['seat_count'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['seat_count'].errors.required">
                  Seat count is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Fair breakdown<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="fair breakdown" formControlName="fair_breakdown" maxlength="5"
                class="form-control" required>
              <div class="error-msg"
                *ngIf="saveForm.controls['fair_breakdown'].invalid && (saveForm.controls['fair_breakdown'].dirty || saveForm.controls['fair_breakdown'].touched || f.submitted)">
                <div *ngIf="saveForm.controls['fair_breakdown'].errors.required">
                  Fair breakdown is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Priority Order<i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Priority" formControlName="Priority" maxlength="5" class="form-control"
                required>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Tariffs</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Tariffs" formControlName="tariffs" multiple>
                <mat-option *ngFor="let tariff of tariffRecords" [value]="tariff._id">{{ tariff.name }}</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Payment types</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Payment Types" formControlName="payment_types" multiple>
                <mat-option *ngFor="let ptype of paymentTypeData" [value]="ptype._id">{{ ptype.payment_type }}
                </mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Type</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Type" formControlName="type">
                <mat-option value='special'>Special</mat-option>
                <mat-option value='default'>Default</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Set Default</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Default" formControlName="isdefault">
                <mat-option value='false'>Not Default</mat-option>
                <mat-option value='true'>Default</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Available For</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Default" formControlName="available_for"
                (ngModelChange)="checkbookingoptions($event)" [(ngModel)]="available_for_status">
                <mat-option value='0'>Book Now only</mat-option>
                <mat-option value='1'>Scheduled booking only</mat-option>
                <mat-option value='2'>Both</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Scehdule After<i aria-hidden="true" class="mandatory">* minutes</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Schedule After" formControlName="schedule_before" class="form-control"
                required pattern="[0-9]+?">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Schedule upto<i aria-hidden="true" class="mandatory">* minutes</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Schedule upto" formControlName="schedule_upto" class="form-control"
                required pattern="[0-9]+?">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Max ETA for schedule only<i aria-hidden="true" class="mandatory">* minutes</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="max eta" formControlName="eta_for_schedule_only" class="form-control"
                required pattern="[0-9]+?">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Max no.of vehicle to dispatch<i aria-hidden="true" class="mandatory">* count</i> </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="No.of vehicles to Timeout" formControlName="vehicles_count_to_timeout"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="saveForm.controls['vehicles_count_to_timeout'].invalid && (saveForm.controls['vehicles_count_to_timeout'].dirty || saveForm.controls['vehicles_count_to_timeout'].touched || f.submitted)">
              <div *ngIf="saveForm.controls['vehicles_count_to_timeout'].errors.required">
                Max no.of vehicle to dispatch is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">km radius to dispatch<i aria-hidden="true" class="mandatory">* km</i> </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="Total radius to dispatch" formControlName="distance_to_timeout"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="saveForm.controls['distance_to_timeout'].invalid && (saveForm.controls['distance_to_timeout'].dirty || saveForm.controls['distance_to_timeout'].touched || f.submitted)">
              <div *ngIf="saveForm.controls['distance_to_timeout'].errors.required">
                km radius to dispatch is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">first vehicle fetch threshhold<i aria-hidden="true" class="mandatory">* count</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="first fetch threshhold" formControlName="min_vehicle_count"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="saveForm.controls['min_vehicle_count'].invalid && (saveForm.controls['min_vehicle_count'].dirty || saveForm.controls['min_vehicle_count'].touched || f.submitted)">
              <div *ngIf="saveForm.controls['min_vehicle_count'].errors.required">
                first vehicle fetch threshhold is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Single Fetch no.of vehicle limit<i aria-hidden="true" class="mandatory">* count</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="Single Fetch limit " formControlName="total_vehicle_count_limit"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="saveForm.controls['total_vehicle_count_limit'].invalid && (saveForm.controls['total_vehicle_count_limit'].dirty || saveForm.controls['total_vehicle_count_limit'].touched || f.submitted)">
              <div *ngIf="saveForm.controls['total_vehicle_count_limit'].errors.required">
                Single Fetch no.of vehicle limit is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Visible in compressed menu</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="visible_short_menu">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Visible in expanded menu</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="visible_expand_menu">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Allow Destination skip</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="skip_destination">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Block Status</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="block_status">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Active status</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="isDisabled">
                <mat-option value='true'>Disable</mat-option>
                <mat-option value='false'>Active</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <span class="error-msg">{{invalid}}</span>
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/fleet/vehicle-category']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>